## mozilla-devscripts 0.06~gutsy1

=== debian/changelog ===
mozilla-devscripts (0.06~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <jdong@ubuntu.com>  Tue,  8 Apr 2008 10:47:09 +0100

mozilla-devscripts (0.06) hardy; urgency=low

  [ Alexander Sack ]
  * [ xpi ]:
    + introduce support to extract xpi translations from any build tree that
      ships chrome.manifest indexed xul/xpi translations. This feature is ment to
      be hooked into install phase of then package build. cdbs users can just
      include this helper as we ship the appropriate cdbs hooks.
      - add src/lp-locale-export.mk
  * [ lp-locale-export ]:
    + add lp-locale-export.mk to the build (add to extra_mk_files)
      - update src/Makefile
    + add README stub for lp-locale-export.mk
      - update README

  [ Fabien Tassin ]
  * [ compare ]:
    + Add support for compare in thunderbird-3.0
      - update src/thunderbird-3.0.mk.in
  * [ mozclient ]:
    + Update mozclient-status rule to list tags relative to each project
      instead of just gecko trunk
      - update src/mozclient.mk.in
    + Update nspr project file to generate a version containing the gecko
      version, such as 4.7.1~beta+1.9b5~cvs20080310t1054 or
      4.7.1~beta2+1.9b5~cvs20080314t1505
      - update src/nspr.mk.in
    + Fail when MOZCLIENT_GETDATE was not able to find the date on bonsai
      - update src/mozclient.mk.in
    + Add a firefox-3.0-full project creating a full firefox tarball,
      i.e. regular browser and not the ubuntu specific xulbrowser
      - add src/firefox-3.0-full.mk.in
      - update src/Makefile
    + Add a xulrunner-1.8 project
      - add src/xulrunner-1.8.mk.in
      - update src/Makefile
  * [ minefield-packager ]
    + New module creating debs from Firefox nightly built tarballs
      - add src/minefield-packager.mk.in
      - add src/minefield-packager/debian/*
      - update src/Makefile
      - update README
    + Add dpkg-dev (for dpkg-deb) and fakeroot to depends
      - update debian/control
  * Add $(extra_mk_dirs) to install a full directory and use it for
    minefield-packager/debian and (mozclient/)patches
    - update src/Makefile

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 04 Apr 2008 16:14:45 +0200

mozilla-devscripts (0.05) hardy; urgency=low

  * new release shipping xpi.mk (LP: #195366)
    - this upload belongs to the general FF Exception of #193225.

  [ Fabien Tassin ]
  * Update mozclient patch for xulbrowser now that firefox 3 needs
    mozilla/memory to build
    - update src/patches/xulbrowser_target.patch
  * Rewrite package description now that we provide several scripts
    - update debian/control
  * Update the compare module to also check dist/bin vs debian/tmp
    - update src/compare.mk.in
    - update src/firefox-3.0.mk.in
    - update src/xulrunner-1.9.mk.in
    - update README
  * Change nspr version in mozclient to ~~cvs now that upstream bumped
    its version so we can change our versionning later
    - update src/nspr.mk.in

  [ Alexander Sack ]
  * add initial xpi makefile helper that tries to make extension package
    maintenance as trivial as possible
    - add src/xpi.mk
    - update src/Makefile
  * add libxml-xpath-perl to Depends: required by install.rdf introspection
    in xpi.mk
    - update debian/control
  * add unzip (needed by xpi.mk) to Depends: of mozilla-devscript binary package
    - update debian/control
  * introduce MOZ_XPI_MOZILLA_DIRS in xpi.mk with default values: "firefox-addons
    firefox"
    - update src/xpi.mk
  * document xpi.mk in README
    - update README

 -- Fabien Tassin <fta@sofaraway.org>  Mon, 25 Feb 2008 11:39:01 +0100

mozilla-devscripts (0.04) hardy; urgency=low

  * Add support in mozclient for DEBIAN_TAG for nss and nspr by not using
    mozilla/client.mk for those two.
    - update src/mozclient.mk.in and README
    - update src/{nspr,nss}.mk.in
    - drop src/patches/{nspr,nss}_target.patch
    - update src/patches/xulbrowser_target.patch
    - update src/patches/series

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 08 Feb 2008 22:13:42 +0100

mozilla-devscripts (0.03) hardy; urgency=low

  * Fix PST date missed for direct checkout
    - update src/mozclient.mk.in
  * Add the 'compare' script
    - add src/compare.mk.in
    - update src/Makefile
  * Rephrase documentation and document 'compare'
    - update README
    - update src/mozclient.mk.in
  * Add support for 'compare' in seamonkey, firefox and xulrunner
    - update src/seamonkey-2.0.mk.in
    - update src/xulrunner-1.9.mk.in
    - update src/firefox-3.0.mk.in

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 29 Jan 2008 14:06:37 +0100

mozilla-devscripts (0.02) hardy; urgency=low

  * Move patches for mozilla/client.mk inside src/ as they were previously
    missed at install time. This will prevent confusions with other future
    scripts
  * Add PST to dates passed to cvs so it matches dates from Bonsai
    - update src/mozclient.mk.in
  * Drop Changelog.txt, use debian/changelog instead

 -- Fabien Tassin <fta@sofaraway.org>  Thu, 17 Jan 2008 22:17:46 +0100

mozilla-devscripts (0.01) hardy; urgency=low

  * Initial version (LP: #179501)

 -- Fabien Tassin <fta@sofaraway.org>  Sun, 30 Dec 2007 21:06:05 +0100

## mozilla-devscripts 0.07

=== src/Makefile ===
# -*- mode: makefile; coding: utf-8 -*-

# Copyright (c) 2007-2008 Fabien Tassin <fta@sofaraway.org>
# Description: Build system for mozilla-devscripts
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

PREFIX ?= /usr

DATADIR = $(PREFIX)/share/mozilla-devscripts

mk_files = \
	firefox-3.0.mk \
	firefox-3.0-full.mk \
	lightning-sunbird.mk \
	nspr.mk \
	nss.mk \
	seamonkey-2.0.mk \
	thunderbird-3.0.mk \
	xulrunner-1.8.mk \
	xulrunner-1.9.mk \
	mozclient.mk \
	compare.mk \
	minefield-packager.mk \
	$(NULL)

extra_mk_files = \
	remove.binonly.sh \
	xpi.mk \
	lp-locale-export.mk \
	$(NULL)

extra_mk_dirs = \
	patches \
	minefield-packager/debian \
	$(NULL)

%.mk: %.mk.in
	cat $< | sed \
	-e "s|^\(include\) \(.*\)\.in|\1 $(DATADIR)/\2|" \
	-e "s|^\(MOZCLIENT_EXCLUDE_SCRIPT.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
	-e "s|^\(MOZCLIENT_PATCHES.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
	-e "s|^\(MOZDEVSCRIPT_DIR.*=[ 	]*\)\(.*\)|\1$(DATADIR)/\2|" \
	> $@
	chmod 644 $@

build: $(mk_files)

install: $(mk_files) $(extra_mk_files) $(foreach dir,$(extra_mk_dirs),$(wildcard $(dir)/*))
	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_mk_dirs),$(DESTDIR)$(DATADIR)/$(dir))
	install -m 644 $(mk_files) $(extra_mk_files) $(DESTDIR)$(DATADIR)
	chmod 755 $(DESTDIR)$(DATADIR)/*.sh
	for dir in $(extra_mk_dirs) ; do \
	install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
	done

clean:
	rm -f $(mk_files)

=== debian/changelog ===
mozilla-devscripts (0.07) hardy; urgency=low

  * [ mozclient ]
    + Fix checkouts by date where the provided date was not
      transformed into a date that cvs could recognize (LP: #215382)
      - update src/mozclient.mk.in

 -- Fabien Tassin <fta@sofaraway.org>  Thu, 10 Apr 2008 23:07:45 +0200

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Uploaders: Fabien Tassin <fta@sofaraway.org>
Build-Depends: debhelper (>= 5), cdbs
Standards-Version: 3.7.3
Vcs-Bzr: https://code.launchpad.net/~mozillateam/mozclient/mozclient.dev

Package: mozilla-devscripts
Architecture: all
Depends: cvs, wget, quilt, libxml-xpath-perl, unzip, dpkg-dev, fakeroot
Description: Collection of dev scripts used by Ubuntu Mozilla packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance which provides targets usable by Mozilla
 packages in Ubuntu

## mozilla-devscripts 0.10

=== debian/changelog ===
mozilla-devscripts (0.10) intrepid; urgency=low

  [ Sasa Bodiroza ]
  * Add src/med-xpi-{pack,unpack} scripts to manage packing and unpacking of
    XPI files.
  * Add default build command in src/xpi.mk.
  * In README:
    - Document src/med-xpi-{pack,unpack} scripts.
    - Document default build command in xpi.mk part.
  * Add zip to Depends in debian/control, because src/med-xpi-{pack,unpack}
    scripts need it.
  * Add src/med-xpi-{pack,unpack} to debian/mozilla-devscripts.install to
    install them to /usr/bin.

  [ Fabien Tassin ]
  * Change Recommends into Suggests for cvs and mercurial as those are
    not needed to use mozilla-devscripts as a build-dependency.
    - update debian/control
  * [mozclient] fix Mercurial tags not passed during checkout
    - update src/mozclient/lib/MozClient/Mercurial.pm

  [ Alexander Sack <asac@ubuntu.com> ]
  * inject awesome-browser branding into firefox source tree by
    adding appropriate MOZCLIENT_POSTCOCMD to the mozclient configs
    - update src/mozclient/firefox-3.0.conf
    - update src/mozclient/firefox-3.1.conf
    - update src/mozclient/firefox-4.0.conf

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 02 Sep 2008 13:29:40 +0200

mozilla-devscripts (0.09) intrepid; urgency=low

  * Move cvs and mercurial from depends to recommends
  * [ mozclient ]
    + Full refactoring of mozclient: It is now written in object-oriented Perl.
      The makefile version was getting difficult to extend and to maintain.
      We now have a base class called MozClient::VCS and a set of VCS classes
      inheriting for it.
    + New features:
      * MOZCLIENT_DYNTAG and MOZCLIENT_DYNTAG_FILES: nspr and nss are now
        using a dynamic tag. They used to fetch HEAD which made them tricky
        to distribute. Now, we take NSPR_CO_TAG and NSS_CO_TAG from
        mozilla/client.mk (fetched from HEAD or from a tag) and we assign
        a version like nss-3.12.0.3+1.9~cvs without trailing cvs date
        (as it's a tagged nss), or nss-3.12.0.3+1.9 when using a tagged
        mozilla/client.mk
      * add optional MOZCLIENT_SEPARATOR to specify what we want between
        the version and the date/revision tag in the version (default to ~)
      * run an optional package specific clean-up script. It should be called
        src/mozclient/${pkg_name}-remove.binonly.sh
      * add support for svn
      * add optional MOZCLIENT_TAREXCLUDE to extend the list of dirs/files
        to exclude from packaging
      * change MOZCLIENT_CVS_LOC and MOZCLIENT_HG_LOC into a common
        MOZCLIENT_VCS_LOC and make it mandatory
      * add MOZCLIENT_APPNAME in order for xulrunner applications to specify
        their toplevel directory name. It is set by default to 'mozilla'
      * change version of all hg project to have YYYYMMDDrRRR instead of
        RRR~YYYMMDD which was different from all other VCS
    + New or updated projects:
      * add projects for Prism and Flock using svn
      * add project for Fennec using hg
      * make xulrunner-1.9.1 and xulrunner-2.0 use embedded tarballs
      * disable MOZCLIENT_POSTCOCMD for xulrunner-1.9.1 and firefox-3.1
        now that upstream made it obsolete
    + Update global clean-up script to remove new .dll/.exe shipped
      by upstream

  * [ compare ]
    + Add build-tree/dist to the list of directories for compare1
    + add support for flock

  * [ xulapp ]
    + Add a rules file for xulrunner applications installing a build
      system from the xulrunner SDK

 -- Fabien Tassin <fta@sofaraway.org>  Sat, 28 Jun 2008 16:41:05 +0200

mozilla-devscripts (0.08.1) intrepid; urgency=low

  Release cherry pick from 0.09 release to intrepid
  [ Fabien Tassin ]
  * Move cvs and mercurial from depends to recommends
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Fri, 30 May 2008 12:33:08 +0200

mozilla-devscripts (0.08) intrepid; urgency=low

  [ Alexander Sack ]
  * add .NOTPARALLEL target to make mozclient.mk more reliable in parallel
    make runs. We don't want parallel execution within the scope of mozclient.mk.
    Maybe noteworthy that this doesn't prevent clients to invoke get-orig-source
    with distinct parameters in parallel.
    - update src/mozclient.mk.in

  [ Fabien Tassin ]
  * [ mozclient ]
    + change the mozclient-status target name to list-tags, easier to remember.
      Preserve legacy mozclient-status
      - update src/mozclient.mk.in
      - update README
    + add support for Mercurial (hg) in addition to cvs.
      Add MOZCLIENT_VCS variable (default to cvs). Add mercurial to Depends.
      The preferred way to fetch a particular hg snapshot is to use a revision
      number, it's better than a date.
      - update deban/control
      - update src/mozclient.mk.in
      - update README
    + make the mozclient patch system optional by introducing a new variable
      called MOZCLIENT_WANTPATCH. Set it only for firefox 3.
      - update src/firefox-3.0-full.mk.in
      - update src/firefox-3.0.mk.in
      - update src/mozclient.mk.in
    + add 4 projects using Mercurial. They need python (>= 2.4) so add
      python | python2.4 to Depends. They also need a post checkout script to
      fetch dependencies (nspr/nss/tamarin) so introduce a new variable called
      MOZCLIENT_POSTCOCMD. We now use hgweb instead of bonsai to get revision
      ids and dates.
      - update deban/control
      - add src/firefox-3.1.mk.in
      - add src/firefox-4.0.mk.in
      - add src/xulrunner-1.9.1.mk.in
      - add src/xulrunner-2.0.mk.in
      - update src/Makefile
    + add a variable called DEBIAN_KEEP_VCS to preserve the VCS files such as 
      */CVS or .hg
      - update src/mozclient.mk.in
      - update README
    + Add a mozclient-version target producing a VERSION=foo string on stdout
      - update src/mozclient.mk.in
    + Fix nspr and nss conf files to fetch xulrunner version file using
      MOZCLIENT_FILE instead of MOZCLIENT_MODULES
      - update src/nspr.mk.in


=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 Package: mozilla-devscripts
 Architecture: all
-Depends: cvs, wget, quilt, libxml-xpath-perl, unzip, dpkg-dev, fakeroot
+Depends: wget, quilt, libxml-xpath-perl, zip, unzip, dpkg-dev, fakeroot, python | python2.4
+Suggests: cvs, mercurial
 Description: Collection of dev scripts used by Ubuntu Mozilla packages
  This package contains mozilla-devscripts, a collection of scripts
  based on Makefile inheritance which provides targets usable by Mozilla

## mozilla-devscripts 0.12

=== src/Makefile ===
--- 
+++ 
@@ -21,9 +21,12 @@
 
 DATADIR = $(PREFIX)/share/mozilla-devscripts
 
-mk_files = \
+subst_files = \
 	firefox-3.0.mk \
 	firefox-3.0-full.mk \
+	firefox-3.1.mk \
+	firefox-4.0.mk \
+	fennec.mk \
 	lightning-sunbird.mk \
 	nspr.mk \
 	nss.mk \
@@ -31,19 +34,26 @@
 	thunderbird-3.0.mk \
 	xulrunner-1.8.mk \
 	xulrunner-1.9.mk \
+	xulrunner-1.9.1.mk \
+	xulrunner-2.0.mk \
+	prism.mk \
+	flock.mk \
 	mozclient.mk \
 	compare.mk \
 	minefield-packager.mk \
+	xulapp.mk \
 	$(NULL)
 
-extra_mk_files = \
-	remove.binonly.sh \
+extra_files = \
 	xpi.mk \
 	lp-locale-export.mk \
 	$(NULL)
 
-extra_mk_dirs = \
-	patches \
+extra_dirs = \
+	mozclient \
+	mozclient/patches \
+	mozclient/lib \
+	mozclient/lib/MozClient \
 	minefield-packager/debian \
 	$(NULL)
 
@@ -56,15 +66,15 @@
 	> $@
 	chmod 644 $@
 
-build: $(mk_files)
+build: $(subst_files)
 
-install: $(mk_files) $(extra_mk_files) $(foreach dir,$(extra_mk_dirs),$(wildcard $(dir)/*))
-	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_mk_dirs),$(DESTDIR)$(DATADIR)/$(dir))
-	install -m 644 $(mk_files) $(extra_mk_files) $(DESTDIR)$(DATADIR)
-	chmod 755 $(DESTDIR)$(DATADIR)/*.sh
-	for dir in $(extra_mk_dirs) ; do \
+install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*))
+	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_dirs),$(DESTDIR)$(DATADIR)/$(dir))
+	install -m 644 $(subst_files) $(extra_files) $(DESTDIR)$(DATADIR)
+	for dir in $(extra_dirs) ; do \
 	install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
 	done
+	find $(DESTDIR)$(DATADIR) -type f \( -name \*.pl -o -name \*.sh \) -exec chmod -v 755 {} \;
 
 clean:
-	rm -f $(mk_files)
+	rm -f $(subst_files)

=== debian/changelog ===
mozilla-devscripts (0.12) jaunty; urgency=low

  [ Fabien Tassin <fta@ubuntu.com> ]
  * mozclient:
    - fix hg incorrectly requesting branches
      - update src/mozclient/lib/MozClient/Mercurial.pm
    - search the main nobin script in the system wide mozclient
      path if we are building with a conf-dir and no script was found
      - update src/mozclient/lib/MozClient/VCS.pm
    - add support for local branches instead of the configured remote ones.
      It is faster if you have to publish tarballs quite often from a branch,
      such as when doing daily snapshots.
      - update src/mozclient.mk.in
      - update src/mozclient/lib/MozClient/{CVS,Git,Mercurial,Subversion,VCS}.pm
      - update src/mozclient/mozclient.pl
      - update README

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * Remove "firefox" from MOZ_XPI_MOZILLA_DIRS in src/xpi.mk, adjust parameter
    description

 -- Fabien Tassin <fta@ubuntu.com>  Mon, 19 Jan 2009 23:19:05 +0100

mozilla-devscripts (0.11) jaunty; urgency=low

  * Bump Standards-Version to 3.8.0
    - update debian/control
  * [ minefield-packager ]
    upstream builds are now identified with a trailling "-mozilla-central",
    it's no longer "-trunk"
    - update src/minefield-packager.mk.in
  * [ mozclient ]
    - add support for external project files helping adoption
      of mozilla-devscripts by downstream. Introduce MOZCLIENT_PROJECTDIR.
      - update README
      - update src/mozclient.mk.in
    - don't run MOZCLIENT_EXCLUDE_SCRIPT if does not exist as it creates
      false positives
      - update src/mozclient/lib/MozClient/VCS.pm
    - drop $(EXT), left-over from when mozclient.pl was substed and use -c instead
      - update src/mozclient.mk.in
    - add support for git
      - add src/mozclient/lib/MozClient/Git.pm
      - update src/mozclient/mozclient.pl
      - update src/mozclient/lib/MozClient/VCS.pm
      - update debian/control
    - move thunderbird-3.0 and seamonkey-2.0 from cvs to hg comm-central
      - update src/mozclient/thunderbird-3.0.conf
      - update src/mozclient/seamonkey-2.0.conf
      - add src/mozclient/thunderbird-3.0-remove.binonly.sh
      - add src/mozclient/seamonkey-2.0-remove.binonly.sh
    - add project midbrowser (LP: #210314)
      - add src/mozclient/midbrowser.conf
      - update README
  * [ compare ]
    search for $(DEB_BUILDDIR)/mozilla/dist/bin, needed
    by mozilla packages using MOZ_OBJDIR
    - update src/compare.mk.in
  * [ xpi ]
    add support for xpi not located in the root directory. This is needed
    for extensions built with xulapp.mk
    - update src/xpi.mk
  * [ xulapp ]
    - allow caller to specify the xulrunner version by pre-setting DEBIAN_XUL_VER
      - update src/xulapp.mk.in
    - add confdefs.h and a.out to the clean rule
      - update src/xulapp.mk.in

 -- Fabien Tassin <fta@ubuntu.com>  Sat, 15 Nov 2008 23:30:58 +0100

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Uploaders: Fabien Tassin <fta@sofaraway.org>
Build-Depends: debhelper (>= 5), cdbs
Standards-Version: 3.8.0
Vcs-Bzr: https://code.launchpad.net/~mozillateam/mozclient/mozclient.dev

Package: mozilla-devscripts
Architecture: all
Depends: wget, quilt, libxml-xpath-perl, zip, unzip, dpkg-dev, fakeroot, python | python2.4
Suggests: cvs, mercurial, git-core
Description: Collection of dev scripts used by Ubuntu Mozilla packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance which provides targets usable by Mozilla
 packages in Ubuntu

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2007-2008 Fabien Tassin <fta@sofaraway.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

DEB_SOURCE_PACKAGE  := $(shell dpkg-parsechangelog | sed -n 's/^Source: *\(.*\)$$/\1/ p')
DEB_VERSION         := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
DEB_ISNATIVE        := 1

DEB_INDEP_PACKAGES  = $(DEB_SOURCE_PACKAGE)
DEB_ARCH_PACKAGES   = $(NULL)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_SRCDIR              := $(CURDIR)/src
DEB_MAKE_BUILD_TARGET   := build
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp/
DEB_MAKE_CHECK_TARGET   := $(NULL)

DEB_INSTALL_DOCS_ALL       := README

## mozilla-devscripts 0.17

=== src/Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 PREFIX ?= /usr
+BINDIR ?= $(PREFIX)/bin
+MANDIR ?= $(PREFIX)/share/man
 
 DATADIR = $(PREFIX)/share/mozilla-devscripts
 
@@ -41,13 +43,23 @@
 	mozclient.mk \
 	compare.mk \
 	minefield-packager.mk \
+	xpi-config.mk \
 	xulapp.mk \
 	$(NULL)
 
 extra_files = \
+	lp-locale-export.mk \
 	xpi.mk \
-	lp-locale-export.mk \
+	xpi-data-all.mk \
+	xpi-data-common.mk \
+	xpi-data-Debian.mk \
+	xpi-data-Ubuntu.mk \
 	$(NULL)
+
+bindir_files = \
+	med-xpi-pack \
+	med-xpi-unpack \
+	moz-version
 
 extra_dirs = \
 	mozclient \
@@ -63,18 +75,29 @@
 	-e "s|^\(MOZCLIENT_EXCLUDE_SCRIPT.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
 	-e "s|^\(MOZCLIENT_PATCHES.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
 	-e "s|^\(MOZDEVSCRIPT_DIR.*=[ 	]*\)\(.*\)|\1$(DATADIR)/\2|" \
+	-e "s|@DISTRO@|$(shell lsb_release -si)|" \
 	> $@
 	chmod 644 $@
 
 build: $(subst_files)
 
-install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*))
+install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*)) install-man
 	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_dirs),$(DESTDIR)$(DATADIR)/$(dir))
 	install -m 644 $(subst_files) $(extra_files) $(DESTDIR)$(DATADIR)
+	install -m 755 -d $(DESTDIR)$(BINDIR) 
+	install -m 755 $(bindir_files) $(DESTDIR)$(BINDIR) 
 	for dir in $(extra_dirs) ; do \
 	install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
 	done
 	find $(DESTDIR)$(DATADIR) -type f \( -name \*.pl -o -name \*.sh \) -exec chmod -v 755 {} \;
+	chmod 755 $(DESTDIR)$(DATADIR)/minefield-packager.mk
+
+install-man:
+	install -D -m 644 ../man/moz-version.1 $(DESTDIR)$(MANDIR)/man1/moz-version.1
+	install -D -m 644 ../man/med-xpi-pack.1 $(DESTDIR)$(MANDIR)/man1/med-xpi-pack.1
+	install -D -m 644 ../man/med-xpi-unpack.1 $(DESTDIR)$(MANDIR)/man1/med-xpi-unpack.1
 
 clean:
 	rm -f $(subst_files)
+
+.PHONY: clean install install-man

=== debian/changelog ===
mozilla-devscripts (0.17) unstable; urgency=low

  * xpi.mk:
    - Fail to build, if no xpi file is found.
      - update src/xpi.mk
    - only add stripped binary package name to xpi:Provides, if it equals the
      source package name
      - update src/xpi.mk
    - Fail to build, if the extension manager ID could not be detected.
      - update src/xpi.mk
    - support different types of install.rdf files (LP: #442897)
      - update src/xpi.mk
    - move data for the automagic detection of target application packages
      into separate xpi-data-*.mk files
      - update src/xpi.mk
      - add src/xpi-data-all.mk
      - add src/xpi-data-common.mk
      - add src/xpi-data-Debian.mk
      - add src/xpi-data-Ubuntu.mk
      - update debian/control
      - update src/Makefile
    - rename MOZ_EXT_NAME to MOZ_XPI_EXT_NAME
      - update src/xpi.mk
    - set default MOZ_XPI_DISTRO in xpi-config.mk on installation
      - add src/xpi-config.mk.in
      - update src/xpi.mk
      - update src/Makefile

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 07 Oct 2009 18:29:33 +0200

mozilla-devscripts (0.16) unstable; urgency=low

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * xpi.mk:
    - List all phony target and run dh_clean for all packages. These changes
      makes it possible to use xpi.mk without cdbs in a simple way.
      - update src/xpi.mk
    - MOZ_EXTENSION_PKG is defined in either case, removing missing case handler
      - update src/xpi.mk
    - rename stamp-* targets to *-stamp, merge stamp-extension-install into
      xpi-install, merge xpi-clean into clean
      - update src/xpi.mk
    - Guess common license file names if MOZ_XPI_DOCUMENTED_LICENSE_FILES is
      not set.
      - update src/xpi.mk
    - simplify xpi-depends-stamp rule
      - update src/xpi.mk
    - override files on xpi extraction (otherwise running build target would
      require user interaction)
      - update src/xpi.mk
    - only list packages in ${xpi:Depends} if they are available in the archive
      and add lsb-release as dependency
      - update src/xpi.mk
      - update debian/control
    - rename ${xpi:Depends} to ${xpi:Recommends} and keep ${xpi:Depends} for
      backwards compatibility
      - update src/xpi.mk
    - add ${xpi:Provides} and ${xpi:Enhances} to support the Debian policy for
      packaging extensions: http://wiki.debian.org/Teams/DebianMozExtTeam
      - update src/xpi.mk
    - "mkdir -p" can be run in all cases
      - update src/xpi.mk
    - add sanity check for xpi file and fail with useful error messages
      - update src/xpi.mk
    - support different types of install.rdf files (LP: #422898)
      - update src/xpi.mk
    - add MOZ_EXT_NAME option (used for calculating xpi:Provides)
      - update src/xpi.mk
  * packaging:
    - allow uploads done by Debian Maintainers
      - update debian/control
  * med-xpi-{pack,unpack}:
    - add parenthesis to $1 to avoid problems if $1 is empty
      - update src/med-xpi-pack
      - update src/med-xpi-unpack
    - replace \n in echo commands with an extra empty echo command to avoid
      bashism (Closes: #547755)
      - update src/med-xpi-pack
      - update src/med-xpi-unpack

  [ Alexander Sack <asac@ubuntu.com> ]
  + mozclient: use stable awesome-browser branding branch for firefox-3.0
    - update src/mozclient/firefox-3.0.conf
  + xpi.mk:
    - install extension tree to /usr/share or /usr/lib based on Architecture:
      field in debian/control for the target package
      - update src/xpi.mk

 -- Alexander Sack <asac@ubuntu.com>  Thu, 24 Sep 2009 14:08:10 +0200

mozilla-devscripts (0.15) unstable; urgency=low

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * packaging:
    - break and sort Depends and Suggests
      - update debian/control
    - add ${misc:Depends} to Depends
      - update debian/control
    - wrap too long lines
      - update debian/changelog
    - fix Vcs-Bzr-Browser field to Vcs-Browser
      - update debian/control
    - all files are directly installed into debian/mozilla-devscripts
      - update debian/rules
      - remove debian/mozilla-devscripts.install
    - Bump Standards-Version to 3.8.3
      - update debian/control
  * build-system:
    - make minefield-packager.mk executable
      - update src/Makefile
  * lp-locale-export.mk:
    - remove shebang
      - update src/lp-locale-export.mk
  * moz-version:
    - wrote man page for moz-version
      - add man/moz-version.1
      - update src/Makefile
  * xpi.mk:
    - add abrowser-3.7, firefox-3.7, xulrunner-1.9.3
      - update src/xpi.mk

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * med-xpi-{pack,unpack}:
    - wrote man page for med-xpi-{pack,unpack}
    - add man/med-xpi-{pack,unpack}.1
    - update src/Makefile
  * xpi.mk:
    - add MOZ_XPI_DOCUMENTED_LICENSE_FILES parameter to enable exclusion of
      extra license files during installation of the XPI to the packaging tree

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 22 Aug 2009 01:10:23 +0200

mozilla-devscripts (0.14) unstable; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * xpi.mk:
    - add target application id magic (|XPI_TARGET_EMIDs|); parse install.rdf
      and create extension links for all targetapplications like:
      |/usr/lib/mozilla/extensions/$targetappid/$extid|; in same turn we
      deprecate |MOZ_XPI_MOZILLA_DIRS| and unset its default accordingly
      - update src/xpi.mk
    - improve rule dependencies; avoid duplicate/circular depends
      - update src/xpi.mk
    - first pitch on automagic max/min version detection implemented; add a
      generic |TARGET_VERSION| call taking parameters a) appid,
      b) maxVersion|minVersion and c) extension-dir; this call is then used to
      parse the right max/minVersion for a given targetApplication on demand in
      |CHECK_VERSION|. In this way we now filter out unsuitable packages from
      xpi:Depends based on the install.rdf version bounds
      - update src/xpi.mk


=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Uploaders: Fabien Tassin <fta@ubuntu.com>,
           Alexander Sack <asac@debian.org>,
           Alexander Sack <asac@ubuntu.com>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5)
Build-Depends-Indep: lsb-release
Standards-Version: 3.8.3
DM-Upload-Allowed: yes
Vcs-Bzr: lp:mozilla-devscripts
Vcs-Browser: https://code.launchpad.net/~mozillateam/mozilla-devscripts/mozilla-devscripts

Package: mozilla-devscripts
Architecture: all
Depends: dpkg-dev,
         fakeroot,
         libxml-xpath-perl,
         python,
         quilt,
         unzip,
         wget,
         zip,
         ${misc:Depends}
Suggests: cvs,
          git-core,
          mercurial
Description: Collection of dev scripts used by Ubuntu Mozilla packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance which provides targets usable by Mozilla
 packages in Ubuntu and Debian

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 DEB_SRCDIR              := $(CURDIR)/src
 DEB_MAKE_BUILD_TARGET   := build
-DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp/
+DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/mozilla-devscripts/
 DEB_MAKE_CHECK_TARGET   := $(NULL)
 
 DEB_INSTALL_DOCS_ALL       := README

## mozilla-devscripts 0.22

=== debian/changelog ===
mozilla-devscripts (0.22) unstable; urgency=low

  * Add a dh buildsystem; thanks to Mike Hommey for the patch (Closes: #576946).
    - add src/xul-ext_build.pm
    - update src/Makefile
  * Use debian/package.js as configuration file if it exists.
    - update man/install-xpi.1
    - update src/install-xpi

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 11 Apr 2010 21:51:25 +0200

mozilla-devscripts (0.21) unstable; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * xulapp.mk:
    - add testing and tools directory to clean target for xulrunner-1.9.2
      build system
      - update src/xulapp.mk.in

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * add new xpi-repack script
    - add man/xpi-repack.1
    - add src/xpi-repack
    - update src/Makefile
  * Install extensions into xul-ext subdirectory; thanks to Daniel Kahn Gillmor
    for the patch.
    - update src/install-xpi
  * Use optparse instead of getopts and ignore unknown options (LP: #543862).
    - update man/dh_xul-ext.1
    - update src/dh_xul-ext
  * Use optparse instead of getopts.
    - update src/install-xpi
  * install-xpi will create a system preference file in /etc; add
    --disable-system-prefs to disable the new behavior (Closes: #558490,
    LP: #535544)
    - update man/install-xpi.1
    - update src/install-xpi
    - update src/xpi.mk

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 06 Apr 2010 16:25:19 +0200

mozilla-devscripts (0.20) unstable; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * xpi-data:
    - make thunderbird unversioned
    - make firefox-3.6 and abrowser-3.6 be unversioned from now on
      - update src/xul-app-data.csv.Ubuntu

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * dh_xul-ext:
    - insert dh_xul-ext after dh_install into dh sequence (Closes: #566618)
      - update src/xul-ext.pm
  * packaging:
    - Bump Standards-Version to 3.8.4; no changes required.
      - update debian/control
  * xpi-data:
    - Drop xulrunner-1.9 from Debian unstable.
      - update src/xul-app-data.csv.Debian
    - Add xulrunner-1.9.2 to Ubuntu lucid.
      - update src/xul-app-data.csv.Ubuntu

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 04 Feb 2010 20:41:17 +0100

mozilla-devscripts (0.19) unstable; urgency=low

  * xpi.mk:
    - get rid of temp directory; extract xpi file directly into installation
      directory
      - update src/xpi.mk
    - correct permissions of installed files and add
      MOZ_XPI_PRESERVE_PERMISSIONS to disable this behaviour (Closes: #556741)
      - update src/xpi.mk
    - drop support for deprecated MOZ_EXT_NAME and MOZ_XPI_MOZILLA_DIRS variable
      - update src/xpi.mk
    - add new MOZ_XPI_INSTALL_DIRECTORY variable
      - update src/xpi.mk
  * med-xpi-{pack,unpack}:
    - Drop med- prefix.
      - rename man/med-xpi-{pack,unpack}.1 to man/xpi-{pack,unpack}.1
      - rename src/med-xpi-{pack,unpack} to src/xpi-{pack,unpack}
      - update README
      - update src/Makefile
      - update src/xpi.mk
  * xpi-data:
    - Add Firefox 3.6 and Thunderbird 3.0 for lucid.
      - update src/xpi-data-Ubuntu.mk
    - Convert xpi-data-*.mk files into xul-app-data.csv* files for dh_xul-ext
      - remove src/xpi-config.mk.in
      - remove src/xpi-data-Debian.mk
      - remove src/xpi-data-Ubuntu.mk
      - remove src/xpi-data-all.mk
      - remove src/xpi-data-common.mk
      - add src/xul-app-data.csv.Debian
      - add src/xul-app-data.csv.Ubuntu
      - update src/Makefile
  * dh_xul-ext:
    - Split substvars calculation from xpi.mk into new dh_xul-ext.
      - add src/dh_xul-ext
      - update src/Makefile
      - update src/xpi.mk
    - Move compare_versions from moz-version into separate module moz_version.py
      - add src/moz_version.py
      - update src/moz-version
      - update src/dh_xul-ext
    - Install moz_version.py using python-support
      - update debian/control
      - update debian/rules
      - update src/Makefile
    - Add "xul-ext" dh sequence
      - add src/xul-ext.pm
      - update src/Makefile
      - update debian/control
    - wrote man page for dh_xul-ext
      - add man/dh_xul-ext.1
      - update src/Makefile
  * install-xpi:
    - Split xpi installation from xpi.mk into new install-xpi script.
      - add src/install-xpi
      - update src/Makefile
      - update src/xpi.mk
      - update debian/control
    - wrote man page for install-xpi
      - add man/install-xpi.1
      - update src/Makefile
    - add --install-dir parameter to install-xpi
      - update man/install-xpi.1
      - update src/install-xpi
    - create links for architecture independent extensions in /usr/share instead
      of /usr/lib (Closes: #564671)
      - update src/install-xpi
    - create additional symlinks for icedove and thunderbird, because they do
      not scan /usr/{lib,share}/mozilla/extensions/$target_application
      - update src/install-xpi
  * moz-version:
    - Add parameter for converting Mozilla versions into Debian upstream
      versions and the other way round.
      - update man/moz-version.1
      - update src/moz_version.py
      - update src/moz-version
    - Add a test suite for testing moz-version --compare
      - add tests/test-moz-version
      - update debian/rules
      - update src/Makefile
  * packaging:
    - add homepage field
      - update debian/control

  [ Alexander Sack <asac@ubuntu.com> ]
  * dh_xul-ext:
    - convert xpath expression to python/rdflib; extract (id, max, min)
      triples for all targetApplications in get_supported_apps; in turn
      add python-rdflib to Depends (Closes: #551182, LP: #453040, #444540)
      - update src/dh_xul-ext
      - update debian/control

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Jan 2010 16:07:57 +0100

mozilla-devscripts (0.18) unstable; urgency=low

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * med-xpi-pack:
    - Keep track of produced jar files and remove them only after the build
      of xpi file (LP: #452422, Closes: #551065)
  * med-xpi-{pack,unpack}:


=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
            Alexander Sack <asac@ubuntu.com>,
            Benjamin Drung <bdrung@ubuntu.com>
 Build-Depends: cdbs, debhelper (>= 5)
-Build-Depends-Indep: lsb-release
-Standards-Version: 3.8.3
+Build-Depends-Indep: python, python-support
+Standards-Version: 3.8.4
 DM-Upload-Allowed: yes
+Homepage: https://launchpad.net/mozilla-devscripts
 Vcs-Bzr: lp:mozilla-devscripts
 Vcs-Browser: https://code.launchpad.net/~mozillateam/mozilla-devscripts/mozilla-devscripts
 
@@ -17,13 +18,14 @@
 Architecture: all
 Depends: dpkg-dev,
          fakeroot,
-         libxml-xpath-perl,
-         python,
+         python-rdflib,
          quilt,
          unzip,
          wget,
          zip,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${perl:Depends},
+         ${python:Depends}
 Suggests: cvs,
           git-core,
           mercurial

## mozilla-devscripts 0.22ubuntu0.10.04.1~mfn4

=== debian/changelog ===
mozilla-devscripts (0.22ubuntu0.10.04.1~mfn4) lucid; urgency=low

  * Add support for shipping an untouched copy of the xpi in a package,
    without unpacking it. We want this for the addon installer in ubufox
    - update src/install-xpi
    - update src/xpi.mk
  * Make it possible to just install the xpi without doing any other processing.
    - update src/install-xpi
    - update src/xpi.mk
  * Switch from python-rdflib to python-librdf rather than porting the above
    changes to python-rdflib; thanks to Willi Mann for the
    patch.
    - update src/dh_xul-ext
    - update src/install-xpi
    - update debian/control
  * Don't include all extension metadata in the xpi. This data contains
    signatures which were created when the xpi was packed upstream and
    are invalid when the xpi is repacked, which causes the addon installer
    to barf
    - update src/xpi-pack

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 02 Jun 2011 18:00:43 +0100

## mozilla-devscripts 0.22ubuntu0.10.04.2

=== debian/changelog ===
mozilla-devscripts (0.22ubuntu0.10.04.2) lucid-security; urgency=low

  * Update to support newer version of Firefox (LP: #904594)
  * Add support for shipping an untouched copy of the xpi in a package,
    without unpacking it. We want this for the addon installer in ubufox
    - update src/install-xpi
    - update src/xpi.mk
  * Make it possible to just install the xpi without doing any other processing.
    - update src/install-xpi
    - update src/xpi.mk
  * Switch from python-rdflib to python-librdf rather than porting the above
    changes to python-rdflib; thanks to Willi Mann for the
    patch.
    - update src/dh_xul-ext
    - update src/install-xpi
    - update debian/control
  * Don't include all extension metadata in the xpi. This data contains
    signatures which were created when the xpi was packed upstream and
    are invalid when the xpi is repacked, which causes the addon installer
    to barf
    - update src/xpi-pack

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Dec 2011 00:28:39 -0600

## mozilla-devscripts 0.22ubuntu0.10.04.3

=== debian/changelog ===
mozilla-devscripts (0.22ubuntu0.10.04.3) lucid-security; urgency=low

  * Don't mark thunderbird as an incompatible app that can't read
    /usr/share/mozilla; This makes install-xpi create a symlink in
    /usr/lib/thunderbird/extensions which is now a symlink itself (LP: #995054)
    - update src/install-xpi 

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 07 May 2012 17:56:43 -0700

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: dpkg-dev,
          fakeroot,
-         python-rdflib,
+         python-librdf,
          quilt,
          unzip,
          wget,

## mozilla-devscripts 0.23

=== debian/changelog ===
mozilla-devscripts (0.23) unstable; urgency=low

  * Switch from python-rdflib to python-librdf; thanks to Willi Mann for the
    patch.
    - update src/dh_xul-ext
    - update src/install-xpi

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 10 Jun 2010 13:55:17 +0200

## mozilla-devscripts 0.24

=== src/Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 
 DATADIR = $(PREFIX)/share/mozilla-devscripts
 
+VENDOR := $(shell if dpkg-vendor --is Ubuntu || dpkg-vendor --derives-from Ubuntu; then echo "Ubuntu"; else echo "Debian"; fi)
+
 subst_files = \
 	firefox-3.0.mk \
 	firefox-3.0-full.mk \
@@ -43,22 +45,20 @@
 	mozclient.mk \
 	compare.mk \
 	minefield-packager.mk \
-	xpi-config.mk \
 	xulapp.mk \
 	$(NULL)
 
 extra_files = \
 	lp-locale-export.mk \
 	xpi.mk \
-	xpi-data-all.mk \
-	xpi-data-common.mk \
-	xpi-data-Debian.mk \
-	xpi-data-Ubuntu.mk \
 	$(NULL)
 
 bindir_files = \
-	med-xpi-pack \
-	med-xpi-unpack \
+	dh_xul-ext \
+	install-xpi \
+	xpi-pack \
+	xpi-repack \
+	xpi-unpack \
 	moz-version
 
 extra_dirs = \
@@ -75,29 +75,34 @@
 	-e "s|^\(MOZCLIENT_EXCLUDE_SCRIPT.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
 	-e "s|^\(MOZCLIENT_PATCHES.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
 	-e "s|^\(MOZDEVSCRIPT_DIR.*=[ 	]*\)\(.*\)|\1$(DATADIR)/\2|" \
-	-e "s|@DISTRO@|$(shell lsb_release -si)|" \
 	> $@
 	chmod 644 $@
 
 build: $(subst_files)
 
-install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*)) install-man
+test:
+	../tests/test-moz-version
+
+install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*))
 	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_dirs),$(DESTDIR)$(DATADIR)/$(dir))
 	install -m 644 $(subst_files) $(extra_files) $(DESTDIR)$(DATADIR)
 	install -m 755 -d $(DESTDIR)$(BINDIR) 
 	install -m 755 $(bindir_files) $(DESTDIR)$(BINDIR) 
 	for dir in $(extra_dirs) ; do \
-	install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
+		install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
+	done
+	install -m 644 -D moz_version.py $(DESTDIR)$(DATADIR)/moz_version.py
+	for dir in $(shell pyversions -s); do \
+		mkdir -p $(DESTDIR)$(PREFIX)/lib/$$dir/site-packages/; \
+		ln -s ../../../share/mozilla-devscripts/moz_version.py $(DESTDIR)$(PREFIX)/lib/$$dir/site-packages/; \
 	done
 	find $(DESTDIR)$(DATADIR) -type f \( -name \*.pl -o -name \*.sh \) -exec chmod -v 755 {} \;
 	chmod 755 $(DESTDIR)$(DATADIR)/minefield-packager.mk
-
-install-man:
-	install -D -m 644 ../man/moz-version.1 $(DESTDIR)$(MANDIR)/man1/moz-version.1
-	install -D -m 644 ../man/med-xpi-pack.1 $(DESTDIR)$(MANDIR)/man1/med-xpi-pack.1
-	install -D -m 644 ../man/med-xpi-unpack.1 $(DESTDIR)$(MANDIR)/man1/med-xpi-unpack.1
+	install -m 644 xul-app-data.csv.$(VENDOR) $(DESTDIR)$(DATADIR)/xul-app-data.csv
+	install -D -m 644 xul-ext.pm $(DESTDIR)/usr/share/perl5/Debian/Debhelper/Sequence/xul_ext.pm
+	install -D -m 644 xul-ext_build.pm $(DESTDIR)/usr/share/perl5/Debian/Debhelper/Buildsystem/xul_ext.pm
 
 clean:
 	rm -f $(subst_files)
 
-.PHONY: clean install install-man
+.PHONY: clean install test

=== debian/changelog ===
mozilla-devscripts (0.24) unstable; urgency=low

  * Drop packages that are transitional or removed in Ubuntu maverick.
    - update src/xul-app-data.csv.Ubuntu
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 22 Sep 2010 17:40:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Benjamin Drung <bdrung@ubuntu.com>
 Build-Depends: cdbs, debhelper (>= 5)
 Build-Depends-Indep: python, python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: https://launchpad.net/mozilla-devscripts
 Vcs-Bzr: lp:mozilla-devscripts

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,9 @@
 DEB_SRCDIR              := $(CURDIR)/src
 DEB_MAKE_BUILD_TARGET   := build
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/mozilla-devscripts/
-DEB_MAKE_CHECK_TARGET   := $(NULL)
+DEB_MAKE_CHECK_TARGET   := test
 
 DEB_INSTALL_DOCS_ALL       := README
+
+install/mozilla-devscripts::
+	dh_pysupport

## mozilla-devscripts 0.24ubuntu0.10.10.1

=== debian/changelog ===
mozilla-devscripts (0.24ubuntu0.10.10.1) maverick-security; urgency=low

  * Update to support newer version of Firefox (LP: #904594)
  * Add support for shipping an untouched copy of the xpi in a package,
    without unpacking it. We want this for the addon installer in ubufox
    - update src/install-xpi
    - update src/xpi.mk
  * Make it possible to just install the xpi without doing any other processing.
    - update src/install-xpi
    - update src/xpi.mki
  * Don't include all extension metadata in the xpi. This data contains
    signatures which were created when the xpi was packed upstream and
    are invalid when the xpi is repacked, which causes the addon installer
    to barf
    - update src/xpi-pack

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Dec 2011 01:17:02 -0600
